.chat-message .koboldworks {
	.card-header {
		text-align: center;
	}

	.hidden {
		display: none;
	}

	.ammo-recovery {
		font-size: 80%;

		img {
			flex: 0 5 24px;
		}

		label {
			padding: 2px;
			align-content: space-around;
			flex: 10 0 6em;
		}

		h3 {
			margin-bottom: 2px;
		}

		.item,
		.extended {
			align-items: center;
			flex-flow: row nowrap;
		}

		.name {
			font-size: var(--font-size-12);
			overflow: hidden;
			text-overflow: ellipsis;
		}

		.icon {
			width: 24px;
			height: 24px;
			flex: 0 24px;
		}

		.middle {
			vertical-align: middle;
		}

		.from-base,
		.total {
			font-weight: bold;
		}

		.destroyed .total {
			//text-shadow: 0 0 2px orange;
		}

		.saved .total {
			//text-shadow: 0 0 2px lightblue;
		}

		.quantity {
			flex: 0 2rem;
			white-space: nowrap;
			font-size: var(--font-size-13);
			font-weight: bold;

			// Following was required for Firefox
			display: flex;
			align-content: center;
			align-items: center;
			gap: 2px;
			flex-flow: row nowrap;
		}

		.buttons {
			text-align: center;
			justify-content: center;
		}

		button {
			//font-size: 0.9em;
			font-size: 96%;
			line-height: 1.1em;
			margin: 2px 0 2px 0;

			background: rgba(0, 0, 0, 0.1);
			border: 2px groove;

			:disabled {
				opacity: 0.2;
			}
		}
	}
}
